package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 敏感链接对象 trs_error_url
 * 
 * @author ruoyi
 * @date 2025-04-01
 */
public class TrsErrorUrl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 敏感链接 */
    @Excel(name = "敏感链接")
    private String errorurl;

    /** 链接性质 */
    @Excel(name = "链接性质")
    private String msg;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 租户 */
    private String tenant;

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /*@Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")*/
    private Date time;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setErrorurl(String errorurl) 
    {
        this.errorurl = errorurl;
    }

    public String getErrorurl() 
    {
        return errorurl;
    }

    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setTenant(String tenant) 
    {
        this.tenant = tenant;
    }

    public String getTenant() 
    {
        return tenant;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("errorurl", getErrorurl())
            .append("msg", getMsg())
            .append("status", getStatus())
            .append("tenant", getTenant())
            .toString();
    }
}
